# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "arithma"
version = "0.1.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "An easy to use, domain-specific programming language for numeric mathematics."
readme = "readme.md"
keywords = [
    "language",
    "math",
]
categories = [
    "mathematics",
    "compilers",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/nervousnullptr/arithma"

[lib]
name = "arithma"
path = "src/lib.rs"

[[bin]]
name = "arithma"
path = "src/main.rs"

[[test]]
name = "language"
path = "tests/language.rs"

[dependencies.clap]
version = "4.5.51"
features = ["derive"]

[dependencies.logos]
version = "0.16"

[dependencies.ordered-float]
version = "5.0"

[dev-dependencies.walkdir]
version = "2"
